Bug 1287976 - broadcom 43228 adapter no longer functionnal with kernel 4.2.6-301.fc23x86_64
broadcom 43228 adapter no longer functionnal with kernel 4.2.6-301.fc23x86_64
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-03 03:14 EST by Ned
Modified: 2015-12-04 04:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-04 04:22:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ned 2015-12-03 03:14:58 EST
User-Agent:       Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:42.0) Gecko/20100101 Firefox/42.0
Build Identifier: 

since upgrade to kernel 4.2.6-301.fc23x86_64 my wifi isn't working anymore.
If I choose previous one (kernel-4.2.6-300.fc23.x86_64) in grub, it is functionnal.
I have broadcom-wl 6.30.223.271 installed

Reproducible: Always

Steps to Reproduce:
1.boot with 4.2.6-301.fc23x86 kernel

Actual Results:  
$ iwconfig
enp0s25   no wireless extensions.
lo        no wireless extensions.

Expected Results:  
(will be completed in a few minutes after reboot)
Comment 1 Ned 2015-12-03 03:33:57 EST
Expected results : 
(after having rebooted and chose 4.2.6-300.fc23.x86_64 kernel with grub)

$ iwconfig
enp0s25   no wireless extensions.

wlo1      IEEE 802.11abg  ESSID:off/any  
          Mode:Managed  Access Point: Not-Associated   
          Retry short limit:7   RTS thr:off   Fragment thr:off
          Power Management:off
          
lo        no wireless extensions.

--------
please note : 
- I'm a noob in submitting bug reports, so feel free to ask any other command results
- English isn't my native language, please excuse in advance if some my sentences aren't clear

--------
I noticed that the wireless button/indicator is orange with ...301 kernel (meaning wifi turned off under MS windows) and white with ...300 kernel (meaning wifi turned on)

Also, that wifi on/off button is not functionnal with fedora : it's led color does indicate properly wether wifi is on or off, but pressing the button doesn't change the card's state/power

-------
more info on my hardware : 
$ inxi -Fx
System:    Host: localhost.localdomain Kernel: 4.2.6-300.fc23.x86_64 x86_64 (64 bit gcc: 5.1.1)
           Desktop: MATE 1.12.0  Distro: Fedora release 23 (Twenty Three)
Machine:   System: Hewlett-Packard product: HP ProBook 650 G1 v: A3009DD10303
           Mobo: Hewlett-Packard model: 1993 v: KBC Version 16.39
           Bios: Hewlett-Packard v: L77 Ver. 01.22 date: 09/26/2014
CPU:       Dual core Intel Core i5-4210M (-HT-MCP-) cache: 3072 KB
           flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 10375
           clock speeds: max: 3200 MHz 1: 2599 MHz 2: 2600 MHz 3: 2628 MHz 4: 2657 MHz
Graphics:  Card: Intel 4th Gen Core Processor Integrated Graphics Controller bus-ID: 00:02.0
           Display Server: Fedora X.org 118 drivers: intel (unloaded: fbdev,vesa)
           Resolution: 1920x1080@60.38hz, 1680x1050@59.88hz, 1680x1050@59.88hz
           GLX Renderer: Mesa DRI Intel Haswell Mobile
           GLX Version: 3.0 Mesa 11.0.6 (git-2555e00) Direct Rendering: Yes
Audio:     Card-1 Intel 8 Series/C220 Series High Definition Audio Controller
           driver: snd_hda_intel bus-ID: 00:1b.0
           Card-2 Intel Xeon E3-1200 v3/4th Gen Core Processor HD Audio Controller
           driver: snd_hda_intel bus-ID: 00:03.0
           Sound: Advanced Linux Sound Architecture v: k4.2.6-300.fc23.x86_64
Network:   Card-1: Intel Ethernet Connection I217-V driver: e1000e v: 3.2.5-k port: 3080 bus-ID: 00:19.0
           IF: enp0s25 state: up speed: 100 Mbps duplex: full mac: 50:65:f3:b9:65:9a
           Card-2: Broadcom BCM43228 802.11a/b/g/n driver: wl bus-ID: 02:00.0
           IF: wlo1 state: down mac: ac:b5:7d:e3:6c:0a
Drives:    HDD Total Size: 500.1GB (26.3% used) ID-1: /dev/sda model: HGST_HTS725050A7 size: 500.1GB temp: 37C
Partition: ID-1: / size: 20G used: 8.8G (49%) fs: ext4 dev: /dev/sda2
           ID-2: /home size: 96G used: 16G (18%) fs: ext4 dev: /dev/sda3
           ID-3: swap-1 size: 4.19GB used: 0.00GB (0%) fs: swap dev: /dev/sda5
RAID:      No RAID devices: /proc/mdstat, md_mod kernel module present
Sensors:   System Temperatures: cpu: 46.0C mobo: 0.0C
           Fan Speeds (in rpm): cpu: N/A
Info:      Processes: 197 Uptime: 16 min Memory: 953.9/15961.6MB Init: systemd runlevel: 5 Gcc sys: 5.1.1
           Client: Shell (bash 4.3.421) inxi: 2.2.28
Comment 2 Josh Boyer 2015-12-03 10:13:40 EST
Fedora does not provide or support proprietary modules.  You will need to take this up with whomever you got the kmod-wl driver from.
Comment 3 Ned 2015-12-04 04:22:03 EST
updates that came this morning seem to have fixed the problem :

- kernel-devel-4.2.6-301.fc23.x86_64
- kernel-modules-extra-4.2.6-301.fc23.x86_64

Therefor I close that bug report
Comment 4 Ned 2015-12-04 04:22:50 EST
oops, sorry, I reopened by mistake

Note You need to log in before you can comment on or make changes to this bug.